summaryrefslogtreecommitdiffstats
path: root/autotest-external.sh
diff options
context:
space:
mode:
authorRoeland Jago Douma <rullzer@users.noreply.github.com>2016-09-13 19:17:14 +0200
committerGitHub <noreply@github.com>2016-09-13 19:17:14 +0200
commit314dc0ef9172b2765ccd0cae8afe777bec91a13d (patch)
treebc3c7862aace1b045cdb70cd2ee2bc5057e6a055 /autotest-external.sh
parentaee2ce2697982e11f052be05dbb08a3005ca8246 (diff)
parentdb710e0b034d6f42a00f7b1188d8ff7399ea1d7a (diff)
downloadnextcloud-server-314dc0ef9172b2765ccd0cae8afe777bec91a13d.tar.gz
nextcloud-server-314dc0ef9172b2765ccd0cae8afe777bec91a13d.zip
Merge pull request #1396 from nextcloud/fix-phpunit-4.8
Make tests work with 4.8 at least
Diffstat (limited to 'autotest-external.sh')
-rwxr-xr-xautotest-external.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autotest-external.sh b/autotest-external.sh
index 9d9d42cee35..7d2e506ae98 100755
--- a/autotest-external.sh
+++ b/autotest-external.sh
@@ -31,7 +31,7 @@ function print_syntax {
}
if ! [ -x "$PHPUNIT" ]; then
- echo "phpunit executable not found, please install phpunit version >= 3.7" >&2
+ echo "phpunit executable not found, please install phpunit version >= 4.8" >&2
exit 3
fi
@@ -39,8 +39,8 @@ PHPUNIT_VERSION=$("$PHPUNIT" --version | cut -d" " -f2)
PHPUNIT_MAJOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f1)
PHPUNIT_MINOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f2)
-if ! [ $PHPUNIT_MAJOR_VERSION -gt 4 -o \( $PHPUNIT_MAJOR_VERSION -eq 4 -a $PHPUNIT_MINOR_VERSION -ge 4 \) ]; then
- echo "phpunit version >= 4.4 required. Version found: $PHPUNIT_VERSION" >&2
+if ! [ $PHPUNIT_MAJOR_VERSION -gt 4 -o \( $PHPUNIT_MAJOR_VERSION -eq 4 -a $PHPUNIT_MINOR_VERSION -ge 8 \) ]; then
+ echo "phpunit version >= 4.8 required. Version found: $PHPUNIT_VERSION" >&2
exit 4
fi